| Cantera 3.0.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Static Private Attributes | List of all members
PreconditionerFactory Class Reference

Factory class to create preconditioner objects. More...

`#include <PreconditionerFactory.h>`

Inheritance diagram for PreconditionerFactory:
[legend]

## Detailed Description

Factory class to create preconditioner objects.

Definition at line 17 of file PreconditionerFactory.h.

## Public Member Functions
void | deleteFactory () override
| Delete preconditioner factory.
Public Member Functions inherited from Factory< PreconditionerBase >
PreconditionerBase * | create (const string &name, Args... args)
| Create an object using the object construction function corresponding to "name" and the provided constructor arguments.
void | reg (const string &name, function< PreconditionerBase *(Args...)> f)
| Register a new object construction function.
void | addAlias (const string &original, const string &alias)
| Add an alias for an existing registered type.
string | canonicalize (const string &name)
| Get the canonical name registered for a type.
bool | exists (const string &name) const
| Returns true if `name` is registered with this factory.
Public Member Functions inherited from FactoryBase
virtual | ~FactoryBase ()
| destructor

## Static Public Member Functions
static PreconditionerFactory * | factory ()
Static Public Member Functions inherited from FactoryBase
static void | deleteFactories ()
| static function that deletes all factories in the internal registry maintained in a static variable

## Static Private Attributes
static PreconditionerFactory * | s_factory = 0
static std::mutex | precon_mutex

## Additional Inherited Members
Protected Member Functions inherited from Factory< PreconditionerBase >
void | addDeprecatedAlias (const string &original, const string &alias)
| Add a deprecated alias for an existing registered type.
Protected Member Functions inherited from FactoryBase
| FactoryBase ()
| Constructor.

## Constructor & Destructor Documentation

## ◆ PreconditionerFactory()

PreconditionerFactory | ( |  | ) |
| private

Definition at line 30 of file PreconditionerFactory.cpp.

## Member Function Documentation

## ◆ factory()

PreconditionerFactory * factory | ( |  | ) |
| static

Definition at line 12 of file PreconditionerFactory.cpp.

## ◆ deleteFactory()

void deleteFactory | ( |  | ) |
| override virtual

Delete preconditioner factory.

Implements FactoryBase.

Definition at line 21 of file PreconditionerFactory.cpp.

## Member Data Documentation

## ◆ s_factory

PreconditionerFactory * s_factory = 0
| static private

Definition at line 26 of file PreconditionerFactory.h.

## ◆ precon_mutex

std::mutex precon_mutex
| static private

Definition at line 27 of file PreconditionerFactory.h.

The documentation for this class was generated from the following files:

- PreconditionerFactory.h
- PreconditionerFactory.cpp